The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Need advise !

Discussion in 'General Discussion' started by hostvn, Jan 4, 2009.

  1. hostvn

    hostvn Member
    PartnerNOC

    Joined:
    Oct 1, 2007
    Messages:
    15
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    Ha Noi, Viet Nam
    I re-config httpd.conf to prevent local attack through symlink ( not explain for security reason ).

    With this config, my server was safe, but when Cpanel suspend hosting account so write new .htaccess :

    And when I browse account which has been suspended, it's going to 500 error page.

    I saw in Apache 2.2 documents - AllowOverride Directive

    http://httpd.apache.org/docs/2.2/mod/core.html#allowoverride

    But when I config as documents :

    After that, i restart apache and had error :

    And I must change to :

    Apache starting ok, but not affect with .htaccess and account still going to 500 error page...

    Any suggestion for this issue. Please remember that I need to config apache to prevent user override "-FollowSymLinks +SymLinksifOwnerMatch -ExecCGI" without use Options simple in AllowOverride Directive

    I edited /scripts/suspendacct scripts and remove fuction to write "Options -Indexes -Includes -ExecCGI" but it's not solution.

    Please tell me how to config apache to fix it.

    Thanks first and sorry about my English !
     
Loading...

Share This Page